Bug 766040 - Add rdma attributes as configurable options
Add rdma attributes as configurable options
Status: CLOSED UPSTREAM
Product: GlusterFS
Classification: Community
Component: rdma (Show other bugs)
mainline
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Raghavendra G
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-09 16:42 EST by Harshavardhana
Modified: 2015-03-22 21:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-20 13:36:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harshavardhana 2011-12-09 16:42:23 EST
Description of problem:

attr_timeout, attr_retry_cnt, attr_rnr_retry are at default values. Make them configurable.

  
Actual results:

No overflow checking for uint8_t

Expected results:

Add overflow checks. 

Additional info:
Comment 1 Anand Avati 2011-12-20 12:53:22 EST
CHANGE: http://review.gluster.com/766 (transport/rdma: Add attr_timeout, attr_retry_cnt, attr_rnr_retry as configurable options) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.